Open CASCADE Technology: Geom2dToIGES_Geom2dVector Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Geom2dToIGES_Geom2dVector Class Reference

This class implements the transfer of the Vector from Geom2d to IGES . These can be : . Vector. More...

`#include <Geom2dToIGES_Geom2dVector.hxx>`

Inheritance diagram for Geom2dToIGES_Geom2dVector:
[legend]

## Public Member Functions
| Geom2dToIGES_Geom2dVector ()
| Geom2dToIGES_Geom2dVector (const Geom2dToIGES_Geom2dEntity &G2dE)
| Creates a tool Geom2dVector ready to run and sets its fields as G2dE's. More...
Handle< IGESGeom_Direction > | Transfer2dVector (const Handle< Geom2d_Vector > &start)
| Transfert a GeometryEntity which answer True to the member : BRepToIGES::IsGeomVector(Geometry). If this Entity could not be converted, this member returns a NullEntity. More...
Handle< IGESGeom_Direction > | Transfer2dVector (const Handle< Geom2d_VectorWithMagnitude > &start)
Handle< IGESGeom_Direction > | Transfer2dVector (const Handle< Geom2d_Direction > &start)
Public Member Functions inherited from Geom2dToIGES_Geom2dEntity
| Geom2dToIGES_Geom2dEntity ()
| Creates a tool Geom2dEntity. More...
| Geom2dToIGES_Geom2dEntity (const Geom2dToIGES_Geom2dEntity &GE)
| Creates a tool ready to run and sets its fields as GE's. More...
void | SetModel (const Handle< IGESData_IGESModel > &model)
| Set the value of "TheModel". More...
Handle< IGESData_IGESModel > | GetModel () const
| Returns the value of "TheModel". More...
void | SetUnit (const Standard_Real unit)
| Sets the value of the UnitFlag. More...
Standard_Real | GetUnit () const
| Returns the value of the UnitFlag of the header of the model in millimeters. More...

## Detailed Description

This class implements the transfer of the Vector from Geom2d to IGES . These can be : . Vector.

- Direction
- VectorWithMagnitude

## Constructor & Destructor Documentation

Geom2dToIGES_Geom2dVector::Geom2dToIGES_Geom2dVector | ( |  | ) |

Geom2dToIGES_Geom2dVector::Geom2dToIGES_Geom2dVector | ( | const Geom2dToIGES_Geom2dEntity & | G2dE | ) |

Creates a tool Geom2dVector ready to run and sets its fields as G2dE's.

## Member Function Documentation

Handle< IGESGeom_Direction > Geom2dToIGES_Geom2dVector::Transfer2dVector | ( | const Handle< Geom2d_Vector > & | start | ) |

Transfert a GeometryEntity which answer True to the member : BRepToIGES::IsGeomVector(Geometry). If this Entity could not be converted, this member returns a NullEntity.

Handle< IGESGeom_Direction > Geom2dToIGES_Geom2dVector::Transfer2dVector | ( | const Handle< Geom2d_VectorWithMagnitude > & | start | ) |

Handle< IGESGeom_Direction > Geom2dToIGES_Geom2dVector::Transfer2dVector | ( | const Handle< Geom2d_Direction > & | start | ) |

The documentation for this class was generated from the following file:

- Geom2dToIGES_Geom2dVector.hxx